pcl::gpu::people::trees::HistogramPair Struct Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/people/include/pcl/gpu/people/tree_train.h>`

## Public Member Functions

void | accumTrue (const Label label)
void | accumFalse (const Label label)
Histogram & | h_false ()
Histogram & | h_true ()
const Histogram | h_false () const
const Histogram | h_true () const

## Protected Attributes

Histogram | m_h_false
Histogram | m_h_true

## Detailed Description

Definition at line 29 of file tree_train.h.

## Member Function Documentation

## accumFalse()

void pcl::gpu::people::trees::HistogramPair::accumFalse | ( | const Label | label | ) |

inline

Definition at line 35 of file tree_train.h.

References m_h_false.

## accumTrue()

void pcl::gpu::people::trees::HistogramPair::accumTrue | ( | const Label | label | ) |

inline

Definition at line 32 of file tree_train.h.

References m_h_true.

## h_false() [1/2]

Histogram& pcl::gpu::people::trees::HistogramPair::h_false | ( |  | ) |

inline

Definition at line 39 of file tree_train.h.

References m_h_false.

Referenced by pcl::gpu::people::trees::entropy_merged(), pcl::gpu::people::trees::informationGain(), pcl::gpu::people::trees::operator<<(), and pcl::gpu::people::trees::operator>>().

## h_false() [2/2]

const Histogram pcl::gpu::people::trees::HistogramPair::h_false | ( |  | ) | const

inline

Definition at line 42 of file tree_train.h.

References m_h_false.

## h_true() [1/2]

Histogram& pcl::gpu::people::trees::HistogramPair::h_true | ( |  | ) |

inline

Definition at line 40 of file tree_train.h.

References m_h_true.

Referenced by pcl::gpu::people::trees::entropy_merged(), pcl::gpu::people::trees::informationGain(), pcl::gpu::people::trees::operator<<(), and pcl::gpu::people::trees::operator>>().

## h_true() [2/2]

const Histogram pcl::gpu::people::trees::HistogramPair::h_true | ( |  | ) | const

inline

Definition at line 43 of file tree_train.h.

References m_h_true.

## Member Data Documentation

## m_h_false

Histogram pcl::gpu::people::trees::HistogramPair::m_h_false

protected

Definition at line 46 of file tree_train.h.

Referenced by accumFalse(), and h_false().

## m_h_true

Histogram pcl::gpu::people::trees::HistogramPair::m_h_true

protected

Definition at line 47 of file tree_train.h.

Referenced by accumTrue(), and h_true().

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/people/include/pcl/gpu/people/tree_train.h